.TH "mca_mpool_base_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_mpool_base_module_t \- mpool module descriptor.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <mpool.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_mpool_base_component_t\fP * \fBmpool_component\fP"
.br
.RI "\fIcomponent stuct \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_address_fn_t\fP \fBmpool_base\fP"
.br
.RI "\fIreturns the base address \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_alloc_fn_t\fP \fBmpool_alloc\fP"
.br
.RI "\fIallocate function \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_realloc_fn_t\fP \fBmpool_realloc\fP"
.br
.RI "\fIreallocate function \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_free_fn_t\fP \fBmpool_free\fP"
.br
.RI "\fIfree function \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_register_fn_t\fP \fBmpool_register\fP"
.br
.RI "\fIregister memory \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_deregister_fn_t\fP \fBmpool_deregister\fP"
.br
.RI "\fIderegister memory \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_find_fn_t\fP \fBmpool_find\fP"
.br
.RI "\fIfind regisrations in the cache \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_retain_fn_t\fP \fBmpool_retain\fP"
.br
.RI "\fIretain a regisrtation from the cache \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_release_fn_t\fP \fBmpool_release\fP"
.br
.RI "\fIrelease a regisrtation from the cache \fP"
.ti -1c
.RI "\fBmca_mpool_base_module_finalize_fn_t\fP \fBmpool_finalize\fP"
.br
.RI "\fIfinalize \fP"
.ti -1c
.RI "\fBmca_rcache_base_module_t\fP * \fBrcache\fP"
.br
.ti -1c
.RI "uint32_t \fBflags\fP"
.br
.RI "\fImpool flags \fP"
.in -1c
.SH "Detailed Description"
.PP 
mpool module descriptor. 

Contains the interface functions exported by the component. This does not expose memory management details. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
